using System;
using System.Collections.Generic;
using System.Text;

namespace HREngine.Bots
{
	class Sim_KAR_205 : SimTemplate //* Silverware Golem
	{
		//If you discard this minion, summon it.

        CardDB.Card kid = CardDB.Instance.getCardDataFromID(CardDB.cardIDEnum.KAR_205);//Silverware Golem
				
        public override bool onCardDicscard(Playfield p, Minion own, int num, bool check)
        {
            if (check) return true;
			if (own != null) return false;
			
            bool ownplay = true;
			int pos = (ownplay) ? p.ownMinions.Count : p.enemyMinions.Count;
            p.callKid(kid, pos, ownplay, false);
            return true;
        }
    }
}